Get job schedules by integration id
https://api.propexo.com/v1/admin/integrations/:integration_id/job-schedules/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The unique identifier for the integration
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The unique identifier for the job schedule
The unique identifier for the integration
The date the job schedule was created
The date the job schedule was last updated
The name of the job type
The status of the job schedule
Show 2 enum values
ACTIVEINACTIVEThe date the job schedule last ran
The sync frequency of the job schedule
The sync cadence of the job schedule
Show 6 enum values
MINUTEHOURDAYWEEKMONTHSECONDparameters objectrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/admin/integrations/:integration_id/job-schedules/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"integration_id": "string",
"created_at": "string",
"updated_at": "string",
"job_type": "string",
"status": "ACTIVE",
"last_run": "string",
"sync_frequency": 0,
"sync_cadence": "MINUTE",
"parameters": {}
}
]
}